The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

MySql UPDATE 5.1 -> 5.5 Auto

Discussion in 'Database Discussions' started by AlexisMeroni, Apr 20, 2013.

  1. AlexisMeroni

    AlexisMeroni Active Member

    Joined:
    Feb 9, 2013
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Hello,
    At 11h00 (PM) French Hour, MySql Server is updated to 5.5 when I had nothing request. But now, all script with a database say a synthax error. :confused: :mad:
    I know that we can not normally go 5.1 but it is important and urgent risk. I would like to be told how to go 5.1.
    Also if you can tell me how this is done it would be nice.

    I really count on you. Thank you very much in advance.
    Sincerely, Alexis Meroni
     
  2. arunsv84

    arunsv84 Well-Known Member

    Joined:
    Oct 20, 2008
    Messages:
    373
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    127.0.0.1
    cPanel Access Level:
    Root Administrator
    #2 arunsv84, Apr 20, 2013
    Last edited: Apr 20, 2013
  3. AlexisMeroni

    AlexisMeroni Active Member

    Joined:
    Feb 9, 2013
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Hello,
    I have a problem:

    i have change the line "mysql-version=5.5" to "mysql-version=5.1" in cpanel.config but when i run the '/scripts/mysqlup --force' i have this error :

    root@cpanel [/var/cpanel]# /scripts/mysqlup --force
    scripts/mysqlup is deprecated. mysql is now updated by the rpm.versions system when you run upcp.
    root@cpanel [/var/cpanel]#
     
  4. AlexisMeroni

    AlexisMeroni Active Member

    Joined:
    Feb 9, 2013
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    I have test the '/scripts/upcp' command , but MySql is already on 5.5.30
     
  5. simonas

    simonas Well-Known Member

    Joined:
    Apr 21, 2013
    Messages:
    141
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Lithuania
    cPanel Access Level:
    Root Administrator
    I would recommend staying with 5.5 and to fix those errors.
    5.5 did not bring any code breaking news.

    Post those errors there and we help you.
     
  6. arunsv84

    arunsv84 Well-Known Member

    Joined:
    Oct 20, 2008
    Messages:
    373
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    127.0.0.1
    cPanel Access Level:
    Root Administrator
    Yes. I too agree with this. As per cPanel, in new cPanel/WHM 11.36, the mysqlup is depreciated. Take a look at the following.

    Depreciated Scripts

    Could you please provide the error message as mentioned by simonas so we can assist you.

    Thanks!
     
Loading...

Share This Page